Skip to main content
POST
/
v1
/
businesses
/
{businessId}
/
reserves
Create Reserve
curl --request POST \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/reserves \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "LOCK",
  "type": "SECURITY_DEPOSIT",
  "personId": "550e8400-e29b-41d4-a716-446655440000",
  "amount": {
    "value": "10.00",
    "currency": "USD"
  },
  "idempotencyKey": "550e8400-e29b-41d4-a716-446655440002",
  "description": "Security deposit for new employee"
}
'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/reserves"

payload = {
    "action": "LOCK",
    "type": "SECURITY_DEPOSIT",
    "personId": "550e8400-e29b-41d4-a716-446655440000",
    "amount": {
        "value": "10.00",
        "currency": "USD"
    },
    "idempotencyKey": "550e8400-e29b-41d4-a716-446655440002",
    "description": "Security deposit for new employee"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    action: 'LOCK',
    type: 'SECURITY_DEPOSIT',
    personId: '550e8400-e29b-41d4-a716-446655440000',
    amount: {value: '10.00', currency: 'USD'},
    idempotencyKey: '550e8400-e29b-41d4-a716-446655440002',
    description: 'Security deposit for new employee'
  })
};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/reserves', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "disbursementId": "550e8400-e29b-41d4-a716-446655440001"
}
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}
{
  "code": "resource_not_found",
  "message": "Requested resource could not be found."
}
{
  "code": "internal_error",
  "message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Body

application/json
action
enum<string>
required

The reserve action to perform

Available options:
LOCK,
RELEASE
Example:

"LOCK"

type
enum<string>
required

The type of reserve

Available options:
SECURITY_DEPOSIT,
SEVERANCE,
NOTICE_PERIOD
Example:

"SECURITY_DEPOSIT"

personId
string<uuid>
required

The person this reserve is for

Example:

"550e8400-e29b-41d4-a716-446655440000"

amount
object
required
idempotencyKey
string<uuid>
required

Idempotency key for the request

Example:

"550e8400-e29b-41d4-a716-446655440002"

description
string
required

Description of the reserve action

Example:

"Security deposit for new employee"

Response

reserve action response

disbursementId
string<uuid>

The ID of the created disbursement

Example:

"550e8400-e29b-41d4-a716-446655440001"